curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{monitorId}/assertions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"type": "<string>",
"substring": "<string>"
},
"severity": "fail"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assertionType": "status_code",
"config": {
"type": "<string>",
"substring": "<string>"
},
"severity": "fail"
}
}curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/{monitorId}/assertions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"config": {
"type": "<string>",
"substring": "<string>"
},
"severity": "fail"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"assertionType": "status_code",
"config": {
"type": "<string>",
"substring": "<string>"
},
"severity": "fail"
}
}API key (dh_live_...) or Auth0 JWT token
Replace all assertions; null preserves current
New assertion configuration (full replacement)
Show child attributes
Outcome severity: FAIL (fails the check) or WARN (warns without failing)
fail, warn Created
Show child attributes